# osgParticle::SmokeEffect Class Reference

Inheritance diagram for osgParticle::SmokeEffect:

[legend]
List of all members.

## Public Member Functions

| SmokeEffect ()
| SmokeEffect (const SmokeEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgParticle, SmokeEffect)
virtual void | setDefaults ()
virtual void | buildEffect ()

## Constructor & Destructor Documentation

SmokeEffect::SmokeEffect | ( |  | ) |

SmokeEffect::SmokeEffect | ( | const SmokeEffect & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

## Member Function Documentation

void SmokeEffect::buildEffect | ( |  | ) | `[virtual]`

| Implements osgParticle::ParticleEffect.

osgParticle::SmokeEffect::META_Node | ( | osgParticle | ,
|  | SmokeEffect |
| ) |

void SmokeEffect::setDefaults | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- SmokeEffect
- SmokeEffect.cpp